SFDISK(8)

NAMN
sfdisk - visa eller manipulera en diskpartitionstabell

SYNOPSIS

sfdisk [flaggor] enhet [-N partitionsnummer]

sfdisk [flaggor] kommando

BESKRIVNING

sfdisk är ett skriptorienterat verktyg för partitionering av valfri blockenhet. Det körs i interaktivt läge om det körs på en terminal (stdin hänvisar till en terminal).

Sedan version 2.26 stöder sfdisk MBR (DOS), GPT, SUN och SGI disketiketter, men tillhandahåller inte längre någon funktionalitet för CHS-adressering (Cylinder-Head-Sector). CHS har aldrig varit viktigt för Linux och det här adresseringskonceptet är inte meningsfullt för nya enheter.

sfdisk skyddar den första disksektorn när du skapar en ny disketikett. Flaggan --wipe always inaktiverar detta skydd. Observera att fdisk(8) och cfdisk(8) som standard raderar detta område helt.

sfdisk (sedan version 2.26) anpassar start och slut på partitioner till blockenhetens I/O-gränser när relativa storlekar anges, när standardvärdena används eller när multiplikativa suffix (t.ex. MiB) används för storlekar. Det är möjligt att partitionsstorleken optimeras (minskas eller förstoras) på grund av alignment om startoffseten anges exakt i sektorer och partitionsstorleken är relativ eller med multiplikativa suffix.

Det rekommenderade sättet är att inte ange startoffset alls och ange partitionsstorlek i MiB, GiB (eller så). I det här fallet anpassar sfdisk alla partitioner till blockenhetens I/O-gränser (eller när I/O-gränserna är för små, till megabytegränsen för att disklayouten ska vara portabel). Om detta standardbeteende inte är önskvärt (vanligtvis för mycket små partitioner), ange då förskjutningar och storlekar i sektorer. I det här fallet följer sfdisk de angivna siffrorna helt och hållet utan någon optimering.

sfdisk skapar inte standardsystempartitioner för SGI- och SUN-disketiketter som fdisk(8) gör. Det är nödvändigt att explicit skapa alla partitioner, inklusive systempartitioner för hela disken.

sfdisk använder BLKRRPART (reread partition table) ioctl för att se till att enheten inte används av systemet eller andra verktyg (se även --no-reread). Det är möjligt att den här funktionen eller en annan sfdisk-aktivitet konkurrerar med systemd-udevd(8). Det rekommenderade sättet att undvika möjliga kollisioner är att använda flaggan --lock. Det exklusiva låset gör att systemd-udevd hoppar över händelsehanteringen på enheten.

Prompten sfdisk är bara en ledtråd för användare och ett visat partitionsnummer betyder inte att samma partitionstabellpost kommer att skapas (om -N inte anges), särskilt inte för tabeller med luckor.

KOMMANDON

Kommandona är ömsesidigt uteslutande.

[-N, --partno partition-number] device
    Standardkommandot sfdisk läser specifikationen för den önskade partitioneringen av enhet från standardinmatningen och skapar sedan en partitionstabell enligt specifikationen. Se nedan för en beskrivning av indatans format. Om standardinmatningen är en terminal startar sfdisk en interaktiv session.

    If the option -N or --partno is specified, then the changes are applied to the partition addressed by partition-number. The unspecified fields of the partition are not modified.

    Observera att det är möjligt att adressera en oanvänd partition med -N. En MBR innehåller t.ex. alltid 4 partitioner, men antalet använda partitioner kan vara mindre. I det här fallet följer sfdisk standardvärdena från partitionstabellen och använder inte inbyggda standardvärden för den oanvända partitionen som anges med -N. Se även --append.

-A, --activate enhet [partition-number...]
    Slå på startflaggan för de angivna partitionerna och slå av startflaggan för alla ospecificerade partitioner. Den speciella platshållaren '-' kan användas i stället för partitionsnumren för att stänga av startflaggan på alla partitioner.

    Aktiveringskommandot stöds endast för MBR och PMBR. Om en GPT-etikett upptäcks skriver sfdisk ut en varning och går automatiskt in i PMBR.

    Om inget partitionsnummer anges listas de partitioner som har en aktiverad flagga.

--backup-pt-sectors enhet
    Säkerhetskopiera de aktuella partitionstabellsektorerna i binärt format och avsluta. Se avsnittet SÄKERSTÄLLA PARTITIONSTABELLEN.

--delete enhet [partition-number...]
    Ta bort alla eller de angivna partitionerna.

-d, --dump enhet
    Dumpar partitionerna på en enhet i ett format som kan användas som indata till sfdisk. Se avsnittet BACKUP AV PARTITIONSTABELLEN.

-g, --show-geometry [enhet...]
    Lista geometrin för alla eller de angivna enheterna. För bakåtkompatibilitet har det föråldrade flaggan --show-pt-geometry samma betydelse som detta.

-J, --json enhet
    Dumpar partitionerna på en enhet i JSON-format. Observera att sfdisk inte kan använda JSON som inmatningsformat.

-l, --list [enhet...]
    Lista partitionerna för alla eller de angivna enheterna. Detta kommando kan användas tillsammans med --verify.

-F, --list-free [enhet...]
    Lista de lediga, odelade områdena på alla eller de angivna enheterna.

--part-attrs device partition-number [attributes]
    Ändra attributbitarna för GPT-partitionen. Om attributes inte anges skrivs de aktuella partitionsinställningarna ut. Argumentet attributes är en komma- eller mellanslagsavgränsad lista med bitnummer eller bitnamn. Strängen "RequiredPartition,50,51" anger t.ex. tre bitar. De attributbits som för närvarande stöds är:

    Bit 0 (RequiredPartition)
        Om denna bit är inställd krävs partitionen för att plattformen ska fungera. Skaparen av partitionen anger att borttagning eller ändring av innehållet kan leda till förlust av plattformsfunktioner eller till att plattformen inte kan starta eller fungera. Systemet kan inte fungera normalt om denna partition tas bort, och den bör betraktas som en del av systemets maskinvara.

    Bit 1 (NoBlockIOProtocol)
        EFI firmware bör ignorera innehållet i partitionen och inte försöka läsa från den.

    Bit 2 (LegacyBIOSBootable)
        Partitionen kan vara startbar med äldre BIOS-firmware.

    Bits 3-47
        Odefinierad och måste vara noll. Reserverad för utökning i framtida versioner av UEFI-specifikationen.

    Bits 48-63
        Reserverad för GUID-specifik användning. Användningen av dessa bitar varierar beroende på partitionstyp. Microsoft använder t.ex. bit 60 för att ange skrivskyddad, 61 för skuggkopia av en annan partition, 62 för dolda partitioner och 63 för att inaktivera automount.

--part-label device partition-number [etikett]
    Ändra GPT-partitionens namn (etikett). Om etikett inte anges skrivs den aktuella partitionsetiketten ut.

--part-type device partition-number [typ]
    Ändra partitionstyp. Om typ inte anges, skriv ut den aktuella partitionstypen.

    Argumentet typ är hexadecimalt för MBR, GUID för GPT, alias för typ (t.ex. "linux") eller genväg för typ (t.ex. "L"). För bakåtkompatibilitet har flaggorna -c och --id samma betydelse som detta.

--part-uuid device partition-number [uuid]
    Ändra UUID för GPT-partitionen. Om uuid inte anges skrivs den aktuella partitionens UUID ut.

--disk-id enhet [id]
    Ändra diskens identifierare. Om id inte anges skrivs den aktuella identifieraren ut. Identifieraren är UUID för GPT eller osignerat heltal för MBR.

--discard-free enhet
    Kassera alla oanvända (opartitionerade) sektorer på enheten. Använd flaggan --list-free för att få en lista över de fria regionerna. Se även blkdiscard(8).

        Warning

        Alla data i de kasserade regionerna på enheten kommer att gå förlorade! Använd inte den här flaggan om du är osäker.

    Observera att kommandot "T" i fdisk ger en dialogruta där du kan ange vilket oanvänt område som ska kasseras. sfdisk kasserar dock alltid alla odelade områden (med undantag för områden där det inte går att skapa partitioner, t.ex. i början av enheten).

-r, --reorder enhet
    Numrera om partitionerna och ordna dem efter deras startoffset.

-s, --show-size [enhet...]
    Visar storleken på alla eller de angivna enheterna i enheter om 1024 byte. Detta kommando är FÖRÅLDRAT till förmån för blockdev(8).

-T, --list-types
    Skriv ut alla typer som stöds för den aktuella disketiketten eller den etikett som anges av --label.

-V, --verify [enhet...]
    Testa om partitionstabellen och partitionerna verkar korrekta.

--relocate oper enhet
    Flytta partitionstabellhuvudet. Detta kommando stöds för närvarande endast för GPT-huvud. Argumentet oper kan vara:

    gpt-bak-std
        Flytta GPT-backuphuvudet till standardplatsen i slutet av enheten.

    gpt-bak-mini
        Flytta GPT-backuphuvudet bakom den sista partitionen. Observera att UEFI-standarden kräver att säkerhetskopieringshuvudet finns i slutet av enheten och att partitioneringsverktyg automatiskt kan flytta huvudet för att följa standarden.

FLAGGOR

-a, --append
    Skapa inte en ny partitionstabell, utan lägg bara till de angivna partitionerna.

    Note that in this case an unused partition may be re-used even though it is not the last partition in the partition table. See also -N for addressing a specific entry in the partition table.

-b, --backup
    Säkerhetskopiera de aktuella partitionstabellsektorerna innan partitioneringen påbörjas. Standardnamnet på säkerhetskopieringsfilen är ~/sfdisk-<device>-<offset>.bak; för att använda ett annat namn, se flaggan -O, --backup-file. Se avsnittet BACKUP AV PARTITIONSTABELLEN för mer information.

--bytes
    Print SIZE in bytes rather than in human readable format.

--color[=när]
    Färglägger utdata. Det valfria argumentet när kan vara auto, never eller always. Om argumentet när utelämnas är standardvärdet auto. Färgerna kan inaktiveras; för den aktuella inbyggda standardinställningen, se utmatningen --help. Se även avsnittet FÄRGER.

-f, --force
    Inaktivera alla konsistenskontroller.

--Linux
    Föråldrad och ignorerad flagga. Partitionering som är kompatibel med Linux (och andra moderna operativsystem) är standard.

--lock[=läge]
    Use an exclusive BSD lock for the device or file that is operated upon. The optional argument mode can be yes (1), no (0), or nonblock. If the mode argument is omitted, it defaults to yes. This option overrides the environment variable $LOCK_BLOCK_DEVICE. The default is to not use any lock at all, but using a lock is recommended to avoid collisions with systemd-udevd(8) or other tools.

-n, --no-act
    Gör allt utom att skriva till enheten.

--no-reread
    Kontrollera inte via ioctl re-read-partition-table om enheten är i bruk.

--no-tell-kernel
    Berätta inte för kärnan om partitionsändringar. Denna flagga rekommenderas tillsammans med --no-reread för att ändra en partition på en använd disk. Den modifierade partitionen bör inte användas (t.ex. monteras).

-O, --backup-file sökväg
    Åsidosätt standardnamnet på backupfilen. Observera att enhetsnamn och offset alltid läggs till i filnamnet.

--move-data[=sökväg]
    Flytta data efter partitionsflyttning, t.ex. när du flyttar början av en partition till en annan plats på disken. Storleken på partitionen måste förbli densamma, den nya och gamla platsen kan överlappa varandra. Denna flagga kräver flaggan -N för att kunna bearbetas på endast en specifik partition.

    Det valfria sökväg anger loggfilens namn. Loggfilen innehåller information om alla läs- och skrivoperationer på partitionsdata. Ordet "@default" som en sökväg tvingar sfdisk att använda ~/sfdisk-<devname>.move för loggen. Loggen är valfri sedan v2.35.

    Observera att denna operation är riskfylld och inte atomisk. Glöm inte att säkerhetskopiera dina data!

    Se även --move-use-fsync.

    I exemplet nedan skapar det första kommandot ett ledigt område på 100 MiB före den första partitionen och flyttar de data som den innehåller (t.ex. ett filsystem), nästa kommando skapar en ny partition från det lediga området (vid offset 2048) och det sista kommandot ändrar partitionsordningen så att den stämmer överens med diskordningen (den ursprungliga sdc1 blir sdc2).

        echo '+100M,' | sfdisk --move-data /dev/sdc -N 1

        echo '2048,' | sfdisk /dev/sdc --append

        sfdisk /dev/sdc --reorder

--move-use-fsync
    Använd systemanropet fsync(2) efter varje skrivning när du flyttar data till en ny plats med --move-data.

-o, --output lista
    Ange vilka utdatakolumner som ska skrivas ut. Använd --help för att få en lista över alla kolumner som stöds.

    Standardlistan med kolumner kan utökas om lista anges i formatet +list (t.ex. -o +UUID).

-q, --quiet
    Undertrycka extra informationsmeddelanden.

--sector-size sektorstorlek
    Ange diskens sektorstorlek. Giltiga värden är 512, 1024, 2048 och 4096. Kärnan känner till sektorstorleken för enheter med vanliga block. Använd denna flagga endast på mycket gamla kärnor, när du arbetar med diskavbildningar eller för att åsidosätta kärnans standardsektorstorlek. Sedan util-linux-2.17 skiljer fdisk mellan logisk och fysisk sektorstorlek. Denna flagga ändrar båda sektorstorlekarna till den angivna sektorstorlek.

-u, --unit S
    Föråldrad flagga. Endast sektornheten stöds. Denna flagga stöds inte när kommandot --show-size används.

-X, --label typ
    Specify the disk-label type (e.g., dos, gpt, ...). If this option is not given, then sfdisk defaults to the type of the existing label, but if there is no label on the device yet, then the type defaults to dos. This default may be overridden by the "label: <name>" script-header line. The option --label does not force sfdisk to create an empty disk label (see the EMPTY DISK LABEL section below).

-Y, --label-nested typ
    Tvinga fram redigering av en nästlad disketikett. Den primära disketiketten måste redan existera. Med den här flaggan kan du t.ex. redigera en hybrid/skyddande MBR på enheter med GPT.

-w, --wipe när
    Raderar filsystem-, RAID- och partitionstabellsignaturer från enheten för att undvika eventuella kollisioner. Argumentet när kan vara auto, never eller always. Om denna flagga inte anges är standardvärdet auto, vilket innebär att signaturer endast rensas i interaktivt läge, med undantag för gamla partitionstabellsignaturer som alltid rensas innan en ny partitionstabell skapas om argumentet när inte är never. I auto-läget rensas inte heller den första sektorn (startsektorn), utan det är nödvändigt att använda always-läget för att rensa detta område. I samtliga fall rapporteras upptäckta signaturer i form av varningsmeddelanden innan en ny partitionstabell skapas. Se även kommandot wipefs(8).

-W, --wipe-partitions när
    Raderar filsystem-, RAID- och partitionstabellsignaturer från en nyskapad partition för att undvika eventuella kollisioner. Argumentet när kan vara auto, never eller always. Om denna flagga inte anges är standardvärdet auto, vilket innebär att signaturer endast raderas i interaktivt läge och efter att användaren har bekräftat detta. I samtliga fall rapporteras upptäckta signaturer med varningsmeddelanden efter att en ny partition har skapats. Se även kommandot wipefs(8).

-h, --help
    Visa hjälptext och avsluta.

-v, --version
    Visa version och avsluta.

INPUT FORMAT

sfdisk stöder två inmatningsformat och generiska rubrikrader.

  Rubriker

De valfria rubrikraderna anger generisk information som gäller för partitionstabellen. Formatet för rubrikraderna är:

<namn>: <värde>

De för närvarande erkända rubrikerna är:

*enhet
    Ange partitioneringsenhet. Den enda enhet som stöds är sectors.

etikett
    Ange typ av partitionstabell. Till exempel dos eller gpt.

etikett-id
    Ange partitionstabellens identifierare. Det bör vara ett hexadecimalt tal (med prefixet 0x) för MBR och ett UUID för GPT.

första-lba
    Ange den första användbara sektorn för GPT-partitioner. Den här rubriken ignoreras om skriptets och enhetens sektorstorlek skiljer sig åt. I så fall använder sfdisk etikettspecifik standard.

sista-lba
    Ange den sista användbara sektorn för GPT-partitioner. Den här rubriken ignoreras om skriptets och enhetens sektorstorlek skiljer sig åt. I så fall använder sfdisk etikettspecifik standard. Rubriken last-lba ignoreras om --force anges, vilket gör att skriptet kan användas på diskar med olika storlekar.

bordslängd
    Ange det maximala antalet GPT-partitioner.

korn
    Ange minsta storlek i byte som används för att beräkna partitionsinriktning. Standardvärdet är 1MiB och det rekommenderas starkt att använda standardvärdet. Ändra inte den här variabeln om du inte är säker.

sektor-storlek
    Anger den sektorstorlek som används i inmatningen. sfdisk använder alltid internt den enhetssektorstorlek som tillhandahålls av kärnan för blockenheten, eller som anges av användaren på kommandoraden (se --sector-size). Från och med version 2.39 räknar sfdisk om storleken från indata om sector-size-huvudet och enhetens sektorstorlek är olika.

Observera att det endast är möjligt att använda rubrikrader innan den första partitionen anges i indata.

  Format för icke namngivna fält

    start storlek typ startbar _start storlek typ startbar

där varje rad fyller en partitionsdeskriptor.

Fält separeras med blanksteg, kommatecken (rekommenderas) eller semikolon, eventuellt följt av blanksteg; inledande och avslutande blanksteg ignoreras. Siffror kan vara oktala, decimala eller hexadecimala; decimal är standard. När ett fält saknas, är tomt eller anges som "-" används ett standardvärde. Men när flaggan -N (ändra en enstaka partition) anges, är standardvärdet för varje fält dess tidigare värde.

Standardvärdet för start är den första icke-tilldelade sektorn som är inriktad enligt enhetens I/O-gränser. Standardvärdet för startoffset för den första partitionen är 1 MiB. Om offset följs av de multiplikativa suffixen (KiB, MiB, GiB, TiB, PiB, EiB, ZiB och YiB) tolkas talet som offset i byte. Sedan v2.38 när flaggan -N (ändra en enskild partition) anges, kan en '+' användas för att förstora partitionen genom att flytta början av partitionen om det finns ledigt utrymme före partitionen.

Standardvärdet för storlek anger "så mycket som möjligt", dvs. fram till nästa partition eller enhetens slut. Ett numeriskt argument tolkas som standard som ett antal sektorer, men om storleken följs av ett av de multiplikativa suffixen (KiB, MiB, GiB, TiB, PiB, EiB, ZiB och YiB) tolkas siffran som partitionens storlek i byte och den anpassas sedan enligt enhetens I/O-gränser. En '+' kan användas i stället för en siffra för att förstora partitionen så mycket som möjligt. Observera att '+' motsvarar standardbeteendet för en ny partition; befintliga partitioner kommer att storleksändras efter behov.

Partitionen typ anges i hex för MBR (DOS) där 0x-prefixet är valfritt; en GUID-sträng för GPT; en genväg eller ett alias. Det rekommenderas att använda två bokstäver för MBR hex-koder för att undvika kollision mellan den föråldrade genvägen 'E' och '0E' MBR hex-kod. För bakåtkompatibilitet försöker sfdisk tolka typ som en genväg som första möjlighet i partitioneringsskript, även om det på andra ställen (t.ex. kommandot --part-type) försöker tolka genvägar som sista möjlighet.

Sedan v2.36 stöder libfdisk alias för partitionstyp som tillägg till genvägar. Aliaset är ett enkelt ord som är läsbart för människor (t.ex. "linux").

Sedan v2.37 stöder libfdisk namn på partitionstyper vid inmatning och ignorerar teckenens skiftläge och alla icke-alfanumeriska och icke-siffriga tecken i namnet (t.ex. "Linux /usr x86" är samma sak som "linux usr-x86").

Kortkommandon och alias som stöds:

L - alias 'linux'
    Linux; betyder 83 för MBR och 0FC63DAF-8483-4772-8E79-3D69D8477DE4 för GPT.

S - alias 'swap'
    växlingsområde; betyder 82 för MBR och 0657FD6D-A4AB-43C4-84E5-0933C84B4F4F för GPT

Ex - alias "utökad"
    MBR-utökad partition; betyder 05 för MBR. Den ursprungliga genvägen "E" är föråldrad på grund av kollision med 0x0E MBR-partitionstyp.

H - alias "hem"
    home partition; betyder 933AC7E1-2EB4-4F13-B844-0E14E2AEF915 för GPT

U - alias "uefi"
    EFI System partition, betyder EF för MBR och C12A7328-F81F-11D2-BA4B-00A0C93EC93B för GPT

R - alias 'raid'
    Linux RAID; betyder FD för MBR och A19D880F-05FC-4D3B-A006-743F0F84911E för GPT

V - alias "lvm"
    LVM; betyder 8E för MBR och E6D6D379-F507-44C2-A23C-238F2A3DF928 för GPT

Standardvärdet för typ är linux.

Kortkommandot "X" för Linux utökade partition (85) har tagits bort till förmån för "Ex".

bootable anges som [*|-], med not-bootable som standard. Värdet på det här fältet är irrelevant för Linux - när Linux körs har det redan startats - men det kan spela en roll för vissa startladdare och för andra operativsystem.

  Format för namngivna fält

Det här formatet är mer läsbart, robust, utbyggbart och gör det möjligt att ange ytterligare information (t.ex. ett UUID). Vi rekommenderar att du använder det här formatet för att göra dina skript mer läsbara.

    [enhet :] namn[=värde], ...

Fältet enhet är valfritt. sfdisk extraherar partitionsnumret från enhetsnamnet. Det gör det möjligt att ange partitionerna i slumpmässig ordning. Den här funktionen används mest av --dump. Använd den inte om du inte är säker.

värde kan stå mellan citattecken (t.ex. name="Detta är partitionens namn"). Fälten start= och size= stöder '+' och '-' på samma sätt som Unnamed-fields format.

De fält som för närvarande stöds är:

start=nummer
    Den första icke-tilldelade sektorn justeras enligt enhetens I/O-gränser. Standardstartoffset för den första partitionen är 1 MiB. Om offseten följs av de multiplikativa suffixen (KiB, MiB, GiB, TiB, PiB, EiB, ZiB och YiB) tolkas talet som offset i byte.

size=nummer
    Ange partitionens storlek i sektorer. Siffran kan följas av multiplikativa suffix (KiB, MiB, GiB, TiB, PiB, EiB, ZiB och YiB), då tolkas den som storlek i byte och storleken anpassas enligt enhetens I/O-gränser.

startbar
    Markera partitionen som startbar.

attrs=sträng
    Partitionsattribut, vanligtvis GPT-partitionsattributbitar. Se --part-attrs för mer information om strängformatet GPT-bits.

uuid=sträng
    UUID för GPT-partition.

name=sträng
    Namn på GPT-partition.

type=code
    Ett hexadecimalt tal (utan 0x) för en MBR-partition, ett GUID för en GPT-partition, en genväg som för unnamed-fields-format eller ett typnamn (t.ex. type="Linux /usr (x86)"). Se avsnittet ovan om formatet unnamed-fields för mer information. För bakåtkompatibilitet har fältet Id= samma innebörd.

ETIKETT FÖR TOM DISK

sfdisk skapar inte partitionstabeller utan partitioner som standard. Raderna med partitioner förväntas som standard i skriptet. Den tomma partitionstabellen måste uttryckligen begäras med "label: <name>" skripthuvudrad utan några partitionsrader. Ett exempel:

    echo "etikett: gpt" | sfdisk /dev/sdb

skapar en tom GPT-partitionstabell. Observera att --append inaktiverar den här funktionen.

SÄKERHETSKOPIERA PARTITIONSTABELLEN

Vi rekommenderar att du sparar layouten för dina enheter. sfdisk stöder två sätt.

  Dumpning i sfdisk-kompatibelt format

Använd kommandot --dump för att spara en beskrivning av enhetens layout i en textfil. Dump-formatet är lämpligt för senare sfdisk-ingång. Ett exempel:

    sfdisk --dump /dev/sda > sda.dump

Detta kan senare återställas genom:

    sfdisk /dev/sda < sda.dump

Observera att sfdisk återställer partitionstyper och partitions-UUID:er helt och hållet. Detta kan eventuellt bli problematiskt om du duplicerar samma layout till olika diskar, eftersom det kan resultera i duplicerade UUID:n i ditt system.

  Fullständig binär säkerhetskopiering

Om du vill göra en fullständig binär säkerhetskopia av alla sektorer där partitionstabellen är lagrad använder du kommandot --backup-pt-sectors. Det skriver sektorerna till ~/sfdisk-<device>-<offset>.bak-filer. Standardnamnet på säkerhetskopieringsfilen kan ändras med flaggan --backup-file. Säkerhetskopieringsfilerna innehåller endast rådata från enheten. Ett exempel:

    sfdisk --backup-pt-sektorer /dev/sda

GPT-huvudet kan senare återställas genom:

    dd if=~/sfdisk-sda-0x00000200.bak of=/dev/sda seek=$((0x00000200)) bs=1 conv=notrunc

Det är också möjligt att använda flaggan --backup för att skapa samma säkerhetskopia omedelbart efter start för andra sfdisk-kommandon. Säkerhetskopiera t.ex. partitionstabellen innan du tar bort alla partitioner från partitionstabellen:

    sfdisk --backup --delete /dev/sda

Samma koncept med säkerhetskopieringsfiler används av wipefs(8).

Observera att sfdisk sedan version 2.26 inte längre tillhandahåller flaggan -I för att återställa sektorer. dd(1) tillhandahåller all nödvändig funktionalitet.

FÄRGER

Färgläggningen av utdata implementeras av terminal-colors.d(5) funktionalitet. Implicit färgläggning kan inaktiveras med en tom fil

    /etc/terminal-colors.d/sfdisk.disable

för kommandot sfdisk eller för alla verktyg med

    /etc/terminal-colors.d/disable

Sedan version 2.41 stöds även miljövariabeln $NO_COLOR som inaktiverar färgläggning av utdata om den inte uttryckligen aktiveras med en kommandoradsflagga.

Den användarspecifika $XDG_CONFIG_HOME/terminal-colors.d eller $HOME/.config/terminal-colors.d åsidosätter den globala inställningen.

Observera att färgläggningen av utdata kan vara aktiverad som standard, och i så fall behöver inte terminal-colors.d-katalogerna finnas ännu.

De logiska färgnamn som stöds av sfdisk är:

header
    Rubriken för utdatatabellerna.

warn
    Varningsmeddelanden.

welcome
    Välkomstmeddelandet.

MILJÖ

SFDISK_DEBUG=all
    aktiverar sfdisk felsökningsutmatning.

LIBFDISK_DEBUG=all
    aktiverar libfdisk felsökningsutdata.

LIBBLKID_DEBUG=all, LIBSMARTCOLS_DEBUG=all
    aktiverar libsmartcols felsökningsutdata.

LIBSMARTCOLS_DEBUG_PADDING=on
    använda synliga utfyllnadstecken.

aktiverar libblkid felsökningsutdata.

LOCK_BLOCK_DEVICE=<mode>
    använd exklusivt BSD-lås. Läget är "1" eller "0". Se --lock för mer information.

ANTECKNINGAR

Sedan version 2.26 tillhandahåller sfdisk inte längre flaggan -R eller --re-read för att tvinga kärnan att läsa om partitionstabellen. Använd blockdev --rereadpt i stället.

Sedan version 2.26 tillhandahåller sfdisk inte flaggorna --DOS, --IBM, --DOS-extended, --unhide, --show-extended, --cylinders, --heads, --sectors, --inside-outer, --not-inside-outer.

EXEMPEL

sfdisk --list --label-nested=mbr /dev/sda
    Skriv ut skyddande MBR på enheten med GPT-disketikett.

echo -e ',10M,L\n,10M,L\n,+,\n' | sfdisk /dev/sdc
    Skapa tre Linux-partitioner, med standardstart, storleken på de två första partitionerna är 10MiB, och den sista partitionen fyller allt tillgängligt utrymme på enheten.

echo -e 'size=10M, type=L\n size=10M, type=L\n size=+\n' | sfdisk /dev/sdc
    Samma sak som i föregående exempel, men i formatet named-fields.

echo -e 'type=swap' | sfdisk -N 3 /dev/sdc
    Ställ in typen av den tredje partitionen till "swap".

sfdisk --part-type /dev/sdc 3 swap
    Samma sak som i föregående exempel, men utan användning av skript.

sfdisk --delete /dev/sdc 2
    Ta bort den andra partitionen.

echo "+,+" | sfdisk -N 3 --move-data /dev/sdc
    Förstora 3: e partitionen i båda riktningarna, flytta start för att använda ledigt utrymme före partitionen och förstora storleken för att använda allt ledigt utrymme efter till partitionen och flytta partitionsdata också.

UPPHOVSPERSONER

Den nuvarande implementeringen av sfdisk är baserad på den ursprungliga sfdisk från Andries E. Brouwer.

SE ÄVEN

fdisk(8), cfdisk(8), parted(8), partprobe(8), partx(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot sfdisk ingår i paketet util-linux som kan hämtas från